package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.SJZDSearchContext;
import com.sinosig.core.module.dao.po.ISJZDTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ISJZDTableDAO {

    ISJZDTable createSjzdTable();

    boolean update(ISJZDTable et);

    boolean remove(String sjzdid);

    ISJZDTable get(String sjzdid);

    ISJZDTable get(ISJZDTable et);

    boolean create(ISJZDTable et);


    List<ISJZDTable> searchDefault(SJZDSearchContext context);
}
